# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.76"
name = "dittolive-ditto-base"
version = "4.14.5-preview.2"
authors = ["Ditto Engineering Team <engineering@ditto.live>"]
build = false
exclude = ["safer-ffi-internal"]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "This is a support crate for Ditto: dittolive-ditto is the crate we intend for you to interact with."
homepage = "https://www.ditto.live"
documentation = "https://ditto.com/link/docs"
readme = "README.md"
keywords = [
    "sdk",
    "distributed",
    "peer-to-peer",
    "database",
    "bluetooth",
]
categories = [
    "database-implementations",
    "external-ffi-bindings",
    "database",
]
license-file = "LICENSE.md"
resolver = "2"

[features]
default = []
experimental-bus = [
    "experimental-flag",
    "experimental-pk",
    "stabby",
]
experimental-flag = []
experimental-pk = [
    "experimental-flag",
    "experimental-pk-serde",
]
experimental-pk-serde = ["experimental-flag"]
stabby = [
    "experimental-flag",
    "dep:stabby",
    "safer-ffi/stabby",
]

[lib]
name = "dittolive_ditto_base"
path = "src/lib.rs"

[dependencies.base64]
version = "0.22.1"

[dependencies.safer-ffi]
version = "0.2.0-alpha.0"
features = ["dyn-traits"]

[dependencies.safer-ffi-internal]
version = "0.0.3-a"
optional = true
package = "cratesio-placeholder-package"

[dependencies.serde]
version = "1.0.171"

[dependencies.serde_cbor]
version = "0.11.1"

[dependencies.serde_json]
version = "1.0.57"

[dependencies.stabby]
version = "72.1.1"
optional = true
default-features = false

[dependencies.thiserror]
version = "2.0.9"

[dependencies.tokio]
version = "1.21.2"
features = ["sync"]

[dev-dependencies.flume]
version = "0.11"

[dev-dependencies.tokio]
version = "1.21.2"
features = ["rt"]
